Get blog subscription status

GET/auth/v1/blog/subscription

Returns whether the authenticated user is subscribed to the blog newsletter.

Authorization<token>

In: header

Response Body

200application/json

OK

type: unknown

{
  "$ref": "#/components/schemas/authv1.BlogSubscriptionResponse",
  "$ref-value": {
    "properties": {
      "subscribed": {
        "type": "boolean"
      },
      "subscribed_at": {
        "type": "string"
      }
    },
    "type": "object"
  }
}
curl -X GET "https://api.rixl.com/auth/v1/blog/subscription"

OK

application/json

{
  "$ref": "#/components/schemas/authv1.BlogSubscriptionResponse",
  "$ref-value": {
    "properties": {
      "subscribed": {
        "type": "boolean"
      },
      "subscribed_at": {
        "type": "string"
      }
    },
    "type": "object"
  }
}